Skip to content
Snippets Groups Projects
Commit 0b2b1e07 authored by Andre Maroneze's avatar Andre Maroneze Committed by Virgile Prevosto
Browse files

[doc] minor improvements to build-manuals.sh

parent f4233489
No related branches found
No related tags found
No related merge requests found
#! /usr/bin/env bash #! /usr/bin/env bash
# GNU parallel needs to be installed
if ! command -v parallel >/dev/null 2>/dev/null; then
echo "parallel is required"
exit 99
fi
# latexmk needs to be installed
if ! command -v latexmk >/dev/null 2>/dev/null; then
echo "latexmk is required"
exit 99
fi
cd $(dirname $0) cd $(dirname $0)
usage () { usage () {
...@@ -20,7 +32,7 @@ fi ...@@ -20,7 +32,7 @@ fi
set -e set -e
if [ ! -e acsl ]; then if [ ! -e acsl ]; then
echo "error: 'acsl' not in doc; clone git@github.com:acsl-language/acsl.git" echo "error: 'acsl' not in doc; try: git clone git@github.com:acsl-language/acsl.git"
exit 1 exit 1
fi fi
...@@ -32,7 +44,7 @@ ACSL_SUFFIX=$(grep acslversion acsl/version.tex | sed 's/.*{\([^{}\\]*\).*/\1/') ...@@ -32,7 +44,7 @@ ACSL_SUFFIX=$(grep acslversion acsl/version.tex | sed 's/.*{\([^{}\\]*\).*/\1/')
EACSL_SUFFIX=$(grep 'newcommand{\\eacsllangversion' ../src/plugins/e-acsl/doc/refman/main.tex | sed 's/.*{\([^{}\\]*\).*/\1/') EACSL_SUFFIX=$(grep 'newcommand{\\eacsllangversion' ../src/plugins/e-acsl/doc/refman/main.tex | sed 's/.*{\([^{}\\]*\).*/\1/')
# sanity check # sanity check
if [ "$EACSL_SUFFIX" = "" ]; then if [ "$EACSL_SUFFIX" = "" ]; then
echo "error: could not retrive E-ACSL version from ../src/plugins/e-acsl/doc/refman/main.tex" echo "error: could not retrieve E-ACSL version from ../src/plugins/e-acsl/doc/refman/main.tex"
exit 1 exit 1
fi fi
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment